import { IConstruct } from 'constructs';
import { Discord, DiscordProps } from './discord-handler';
import { JiraTicket, JiraTicketProps } from './jira-ticket';
export declare class IssueHander {
    static discord(scope: IConstruct, id: string, props: DiscordProps): Discord;
    static jiraTicket(scope: IConstruct, id: string, props: JiraTicketProps): JiraTicket;
}
