import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for VpcCidrBlockResolverFunction
 */
export interface VpcCidrBlockResolverFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/ec2/lib/custom-resources/vpc-cidr-block-resolver.
 */
export declare class VpcCidrBlockResolverFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: VpcCidrBlockResolverFunctionProps);
}
