import { Chain, IChainable, INextable, State } from 'aws-cdk-lib/aws-stepfunctions';
import { Construct, IConstruct } from 'constructs';
export interface StringReplaceProps {
    readonly inputString: string;
    readonly outputKey: string;
    readonly search: string;
    readonly replace: string;
}
export declare class StringReplace extends Construct implements IChainable, INextable {
    private readonly _chain;
    readonly endStates: INextable[];
    readonly id: string;
    readonly startState: State;
    constructor(scope: IConstruct, id: string, props: StringReplaceProps);
    next(state: IChainable): Chain;
}
