import { Resource, ResourceProps } from 'aws-cdk-lib';
import { LogOptions } from 'aws-cdk-lib/aws-stepfunctions';
import { IConstruct } from 'constructs';
import { StateMachineLogging } from './lib/logging';
export interface IssuePluginBaseProps extends ResourceProps {
    readonly logging?: StateMachineLogging;
}
export declare abstract class IssuePluginBase extends Resource {
    readonly logging: StateMachineLogging;
    constructor(scope: IConstruct, id: string, props: IssuePluginBaseProps);
    protected buildLogging(): LogOptions | undefined;
}
